(function($) {
    "use strict";
    // Date picker fields.
	function sws_date_picker_select( datepicker ) {
		var option = jQuery( datepicker ).closest('tr').next().find('input').is( '.hasDatepicker' ) ? 'minDate' : 'maxDate',
		otherDateField = 'minDate' === option ? jQuery( datepicker ).closest('.sws_sale_price_date_field').next().find('input') : jQuery( datepicker ).closest('.sws_sale_price_date_field').prev().find('input'),
		date = jQuery( datepicker ).datepicker( 'getDate' );
        jQuery( otherDateField ).datepicker( 'option', option, date );
		jQuery( datepicker ).change();
	}
    jQuery( document ).ready( function() {
        if ( jQuery('.sws-color-picker').length > 0 ) {
            jQuery('.sws-color-picker').wpColorPicker();
        }
		
        if ( jQuery( '.sws_sale_price_dates_fields' ).length > 0 ) {
            jQuery( '.sws_sale_price_dates_fields' ).each( function() {
                jQuery( this ).find( 'input' ).datepicker({
                    defaultDate: '',
                    dateFormat: 'yy-mm-dd',
                    numberOfMonths: 1,
                    showButtonPanel: true,
                    onSelect: function() {
                        sws_date_picker_select( jQuery( this ) );
                    }
                });
                jQuery( this ).find( 'input' ).each( function() { sws_date_picker_select( $( this ) ); } );
            });
        }
    });
   
})(jQuery);	